Skip to main content
GET
/
v1
/
counterparties
List counterparties
curl --request GET \
  --url https://api.ledger.so/v1/counterparties \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": [
    {
      "id": "<string>",
      "customerId": "<string>",
      "accountType": "us_bank",
      "currency": "<string>",
      "status": "<string>",
      "accountOwnerName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "bankName": "<string>",
      "accountName": "<string>",
      "accountOwnerType": "<string>",
      "last4": "<string>",
      "details": {}
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token: Authorization: Bearer ld_live_...

Query Parameters

cursor
string

Pagination cursor from a previous response's nextCursor

limit
integer
default:50

Maximum number of items to return (1-200, default 50)

Required range: 1 <= x <= 200
customerId
string

Filter by customer ID

currency
string

Filter by currency code

Response

Counterparty list

ok
enum<boolean>
required
Available options:
true
data
object[]
required
nextCursor
string | null